{ config, ... }: {
  services.wiki-js = {
    enable = true;
  
    settings = {
      bindIP = "127.0.0.255";
      port = 1035;

      db = {
        host = "standard";
        user = "wiki";
        pass = "$(DB_PASS)";
      };
    };

    environmentFile = config.sops.secrets.wikijs__env_bin.path;
  };

  sops.secrets.wikijs__env_bin = {
    mode = "0600";
    owner = config.users.users.root.name;
    group = config.users.users.root.group;
    sopsFile = ../../secrets/wikijs.env.bin;
    format = "binary";
  };
}
